Skip to main content
GET
/
projects
/
{id}
/
components
Projektkomponenten abrufen
curl --request GET \
  --url https://api.comstruct.com/v1/projects/{id}/components \
  --header 'X-API-Key: <api-key>'
{
  "components": [
    {
      "id": 123,
      "title": "<string>",
      "type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_component_type": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "order": 123,
        "enable_in_deliveries": true,
        "enable_in_orders": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.comstruct.com/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Lists all project components for a project, including component type metadata. Use each row’s numeric id as component_ids when calling PUT /deliveries/{id}/components.

Permissions

ScopeDescription
projects:readRead project data

Behavior

If the project does not exist or is not visible to the API key’s tenant, the API returns { "components": [] } with HTTP 200 — not 404.

Response codes

CodeDescription
200Success (possibly empty components)
401Unauthorized
403Forbidden

Authorizations

X-API-Key
string
header
required

API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.

Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.

Path Parameters

id
string<uuid>
required

Projekt-ID (UUID)

Response

Liste der Projektkomponenten

components
object[]
required

Alle Komponenten des Projekts (leer, wenn nicht sichtbar oder nicht vorhanden)